# 服务部署Helm Chart仓库

这个仓库包含了用于快速部署服务到Kubernetes集群的Helm Chart。

## 使用方法

### 添加Helm仓库

```bash
# 添加仓库
helm repo add native-charts https://raw.githubusercontent.com/[your-username]/native-charts/main/

# 更新仓库
helm repo update
```

### 安装Chart

```bash
# 使用默认配置安装
helm install my-release native-charts/service-chart

# 使用自定义values文件安装
helm install my-release native-charts/service-chart -f values-custom.yaml

# 使用--set覆盖单个配置
helm install my-release native-charts/service-chart --set service.name=my-app --set service.image=myimage:latest
```

### 升级Chart

```bash
# 使用新的配置升级
helm upgrade my-release native-charts/service-chart -f values-custom.yaml

# 使用--set升级单个配置
helm upgrade my-release native-charts/service-chart --set service.replicas=2
```

## Chart文档

详细的Chart配置和使用说明请参考[chart/README.md](chart/README.md)。

## 配置示例

完整的配置示例请参考[chart/values-example.yaml](chart/values-example.yaml)。

## 安装指南

详细的安装步骤和故障排除指南请参考[chart/INSTALL.md](chart/INSTALL.md)。

# Native charts

一些常用的helm chart，用于快速部署服务到Kubernetes集群。

## 部署 native 集群服务

```
helm install test-ng -n app ./chart --set service.name=test-ng --set service.image=nginx:latest --set service.port=80 --set ingress.enabled=true --set ingress.host=test-ng.ai-native.glm.ai 
```